# Generated by Django 4.1.10 on 2024-01-06 16:43

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("elections", "0001_initial"),
        ("shared", "0003_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="SharedTaggedElectionsArticle",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "content_object",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="shared_elections_articles",
                        to="elections.electionsarticlepage",
                    ),
                ),
                (
                    "tag",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="shared_elections_tags",
                        to="shared.sharedtag",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
